﻿using UnityEngine;

public class Warp : MonoBehaviour, IGvrGazeResponder
{
	[SerializeField]
	private GameObject Player;
	[SerializeField]
	private GameObject WarpPoint;

	/// <summary>
	/// 視線が当たった時の処理
	/// </summary>
	public void OnGazeEnter()
	{
		Debug.Log("OnGazeEnter");
	}

	/// <summary>
	/// 視線が外れた時の処理
	/// </summary>
	public void OnGazeExit()
	{
		Debug.Log("OnGazeExit");
	}

	/// <summary>
	/// クリック処理
	/// </summary>
	public void OnGazeTrigger()
	{
		Debug.Log("OnGazeTrigger");

		// ワープポイントの位置
		var warpPos = WarpPoint.transform.position;
		// 高さの調整
		warpPos.y += 3;
		// 距離の調整(井戸の手前になるようにする)
		warpPos.z -= 5;
		// ワープポイントの位置に移動する
		Player.transform.position = warpPos;
	}

	// Use this for initialization
	void Start()
	{

	}

	// Update is called once per frame
	void Update()
	{

	}
}
